package com.tenlionsoft.baselib.core.db.beans;

import androidx.annotation.NonNull;
import androidx.room.ColumnInfo;
import androidx.room.Entity;
import androidx.room.PrimaryKey;

/**
 * 作者: adam
 * 日期: 2022/3/28 - 4:15 下午
 * 邮箱: itgaojian@163.com
 * 描述:
 */
@Entity(tableName = "food_subscribe_food")
public class FoodSubscribeFoodBean {

    @NonNull
    @PrimaryKey
    private int id;//` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '预定菜品自增主键',
    @ColumnInfo(name = "uid")
    private String uid;//` char(36) NOT NULL COMMENT '预定菜品36位主键',
    @ColumnInfo(name = "food_id")
    private String foodId;//` char(36) DEFAULT NULL COMMENT '关联菜品36位主键',
    @ColumnInfo(name = "food_name")
    private String foodName;//` varchar(50) DEFAULT NULL COMMENT '菜品名称(快照)',
    @ColumnInfo(name = "food_photo")
    private String foodPhoto;//` char(36) DEFAULT NULL COMMENT '菜品照片(Base64)(快照)',
    @ColumnInfo(name = "food_price")
    private String foodPrice;//` bigint(20) DEFAULT NULL COMMENT '菜品单价(快照)',
    @ColumnInfo(name = "count")
    private String count;//` int(10) DEFAULT NULL COMMENT '菜品数量',
    @ColumnInfo(name = "total_price")
    private String totalPrice;//` bigint(20) DEFAULT NULL COMMENT '总金额',
    @ColumnInfo(name = "sync_number")
    private String syncNumber;//` bigint(20) DEFAULT NULL COMMENT '同步号',
    @ColumnInfo(name = "creator")
    private String creator;//` char(36) DEFAULT NULL,
    @ColumnInfo(name = "gmt_create")
    private String gmtCreate;//` datetime DEFAULT NULL,
    @ColumnInfo(name = "modifier")
    private String modifier;//` char(36) DEFAULT NULL,
    @ColumnInfo(name = "gmt_modified")
    private String gmtModified;//` datetime DEFAULT NULL,
    @ColumnInfo(name = "is_delete")
    private String isDelete;//` char(1) DEFAULT NULL,
    @ColumnInfo(name = "is_update")
    private String isUpdate;//是否需要更新  0否 1是


    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }


    public String getUid() {
        return uid;
    }

    public void setUid(String uid) {
        this.uid = uid;
    }

    public String getFoodId() {
        return foodId;
    }

    public void setFoodId(String foodId) {
        this.foodId = foodId;
    }

    public String getFoodName() {
        return foodName;
    }

    public void setFoodName(String foodName) {
        this.foodName = foodName;
    }

    public String getFoodPhoto() {
        return foodPhoto;
    }

    public void setFoodPhoto(String foodPhoto) {
        this.foodPhoto = foodPhoto;
    }

    public String getFoodPrice() {
        return foodPrice;
    }

    public void setFoodPrice(String foodPrice) {
        this.foodPrice = foodPrice;
    }

    public String getCount() {
        return count;
    }

    public void setCount(String count) {
        this.count = count;
    }

    public String getTotalPrice() {
        return totalPrice;
    }

    public void setTotalPrice(String totalPrice) {
        this.totalPrice = totalPrice;
    }

    public String getSyncNumber() {
        return syncNumber;
    }

    public void setSyncNumber(String syncNumber) {
        this.syncNumber = syncNumber;
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public String getModifier() {
        return modifier;
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    public String getGmtModified() {
        return gmtModified;
    }

    public void setGmtModified(String gmtModified) {
        this.gmtModified = gmtModified;
    }

    public String getIsDelete() {
        return isDelete;
    }

    public void setIsDelete(String isDelete) {
        this.isDelete = isDelete;
    }

    public String getIsUpdate() {
        return isUpdate;
    }

    public void setIsUpdate(String isUpdate) {
        this.isUpdate = isUpdate;
    }
}
